GuideLab Docs

Get exocad integration status and mappings

Retrieve the current exocad integration status, configuration, and all material/reconstruction type mappings for the authenticated lab.

GET
/integrations/exocad

Retrieve the current exocad integration status, configuration, and all material/reconstruction type mappings for the authenticated lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/integrations/exocad"
{  "id": "string",  "isEnabled": true,  "config": {    "autoGenerateDentalProject": false,    "fileNamingTemplate": "{{LOCATION_NAME}}-{{ORDER_NUMBER}}",    "autoAssignEnabled": false,    "assignmentOnImportEnabled": false,    "autoAssignMode": "specific_member",    "defaultAssigneeId": null,    "roundRobinMemberIds": [],    "lastRoundRobinIndex": 0  },  "reconstructionMappings": [    {      "id": "string",      "exocadType": "string",      "productId": "string"    }  ],  "materialMappings": [    {      "id": "string",      "exocadMaterial": "string",      "materialId": "string"    }  ]}
Empty
Empty
Empty